package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.CourseSchedule;
import com.ym.mec.biz.dal.entity.School;
import com.ym.mec.biz.dal.enums.*;

import java.util.Date;

public class TeacherAttendanceDetailDto {
    private String remark;

    private String teacherName;

    private TeachModeEnum teachMode;

    private CourseSchedule.CourseScheduleType type;

    private CourseStatusEnum status;

    private int isSignIn = 3;

    private int isSignOut = 3;

    private SignInStatusEnum signInStatusEnum;

    private SignOutStatusEnum signOutStatusEnum;

    private YesOrNoEnum isCallNames;

    private Date signInTime;

    private Date signOutTime;

    private Integer attendClassTime;
    
    private School school;

    public Integer getAttendClassTime() {
        return attendClassTime;
    }

    public void setAttendClassTime(Integer attendClassTime) {
        this.attendClassTime = attendClassTime;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public TeachModeEnum getTeachMode() {
        return teachMode;
    }

    public void setTeachMode(TeachModeEnum teachMode) {
        this.teachMode = teachMode;
    }

    public CourseSchedule.CourseScheduleType getType() {
        return type;
    }

    public void setType(CourseSchedule.CourseScheduleType type) {
        this.type = type;
    }

    public CourseStatusEnum getStatus() {
        return status;
    }

    public void setStatus(CourseStatusEnum status) {
        this.status = status;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public int getIsSignIn() {
        return isSignIn;
    }

    public void setIsSignIn(int isSignIn) {
        this.isSignIn = isSignIn;
    }

    public int getIsSignOut() {
        return isSignOut;
    }

    public void setIsSignOut(int isSignOut) {
        this.isSignOut = isSignOut;
    }

    public SignInStatusEnum getSignInStatusEnum() {
        return signInStatusEnum;
    }

    public void setSignInStatusEnum(SignInStatusEnum signInStatusEnum) {
        this.signInStatusEnum = signInStatusEnum;
    }

    public SignOutStatusEnum getSignOutStatusEnum() {
        return signOutStatusEnum;
    }

    public void setSignOutStatusEnum(SignOutStatusEnum signOutStatusEnum) {
        this.signOutStatusEnum = signOutStatusEnum;
    }

    public YesOrNoEnum getIsCallNames() {
        return isCallNames;
    }

    public void setIsCallNames(YesOrNoEnum isCallNames) {
        this.isCallNames = isCallNames;
    }

    public Date getSignInTime() {
        return signInTime;
    }

    public void setSignInTime(Date signInTime) {
        this.signInTime = signInTime;
    }

    public Date getSignOutTime() {
        return signOutTime;
    }

    public void setSignOutTime(Date signOutTime) {
        this.signOutTime = signOutTime;
    }

	public School getSchool() {
		return school;
	}

	public void setSchool(School school) {
		this.school = school;
	}
}
